package com.company.eetest.entity;

import io.jmix.core.entity.annotation.JmixGeneratedValue;
import io.jmix.core.metamodel.annotation.InstanceName;
import io.jmix.core.metamodel.annotation.JmixEntity;
import io.jmix.data.entity.ReferenceToEntity;
import jakarta.persistence.*;

import java.util.UUID;

@JmixEntity
@Table(name = "EET_NEW_ENTITY")
@Entity(name = "eet_NewEntity")
public class NewEntity {
    @Embedded
    @AttributeOverrides({
            @AttributeOverride(name = "entityId", column = @Column(name = "TEST_ENTITY_ID")),
            @AttributeOverride(name = "stringEntityId", column = @Column(name = "TEST_STRING_ENTITY_ID")),
            @AttributeOverride(name = "intEntityId", column = @Column(name = "TEST_INT_ENTITY_ID")),
            @AttributeOverride(name = "longEntityId", column = @Column(name = "TEST_LONG_ENTITY_ID"))
    })
    private ReferenceToEntity id;

    @JmixGeneratedValue
    @Column(name = "UUID", nullable = false)
    @Id
    private UUID uuid;

    @InstanceName
    @Column(name = "NAME")
    private String name;

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public UUID getUuid() {
        return uuid;
    }

    public void setUuid(UUID uuid) {
        this.uuid = uuid;
    }

    public ReferenceToEntity getId() {
        return id;
    }

    public void setId(ReferenceToEntity id) {
        this.id = id;
    }
}